package com.muyu.marketing.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamProductSkuInfoReq {
    /**
     * 规格id
     */
    private Long id;
    /**
     * 商品Id
     */
    private Long productId;
    /**
     * 规格id
     */
    private Long teamId;

    /**
     * 规格SKU
     */
    private String sku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;
}
